{
  "type": "minecraft:block",
  "pools": [
    {
      "rolls": 1,
      "entries": [
        {
          "type": "minecraft:item",
          "name": "minecraft:poisonous_potato",
          "functions": [
            {
              "function": "set_components",
              "components": {
                "item_name": {
                  "translate": "item.overlyrealistic.reinforced_iron_helmet",
                  "fallback": "Reinfored Iron Helmet",
                  "color": "white"
                },
                "enchantments": {
                  "overly_realistic:or_internal_armor/or_internal_helmet": 1
                },
                "tooltip_display": {
                  "hidden_components": [
                    "enchantments"
                  ]
                },
                "enchantment_glint_override": false,
                "custom_data": {
                  "or_edited_item":true,
                  "or_no_edit": true,
                  "IsReinforcedIronHelmet": true,
                  "reinforced_armor_type": "iron_helmet",
                  "IsReinforcedArmor": true,
                  "or_is_armor": true,
                  "or_armor_type": "reinforced_iron",
                  "or_armor_piece": "helmet",
                  "or_protects_against_bleeding": true,
                  "or_armor_category": "metal_plate",
                  "or_is_heavy_armor": true,
                  "or_item_has_weight": true,
                  "or_item_weight_type": "percent",
                  "or_item_weight_value": 10
                },
                "!food": {},
                "!consumable": {},
                "max_stack_size": 1,
                "item_model": "overlyrealistic:items/reinforced_iron_helmet",
                "minecraft:attribute_modifiers": [
                    {
                      "type": "minecraft:armor",
                      "amount": 3.0,
                      "id": "minecraft:armor.helmet",
                      "operation": "add_value",
                      "slot": "head"
                    },
                    {
                      "type": "minecraft:armor_toughness",
                      "amount": 2.0,
                      "id": "minecraft:armor.helmet",
                      "operation": "add_value",
                      "slot": "head"
                    },
                    {
                    "type": "movement_speed",
                    "amount": -0.18,
                    "id": "overly_realistic:iron_armor_debuff_helmet",
                    "operation": "add_multiplied_total",
                    "slot": "head",
                    "display": {
                      "type": "override",
                      "value": [{"text":"-18% Speed","color":"blue"}]
                    }
                  }
                ],
                "equippable": {
                  "slot": "head",
                  "can_be_sheared": false,
                  "damage_on_hurt": true,
                  "equip_on_interact": true,
                  "dispensable": true,
                  "equip_sound": "item.armor.equip_iron",
                  "swappable": true,
                  "asset_id": "overlyrealistic:reinforced_iron",
                  "camera_overlay": "overlyrealistic:misc/helmet_reinforced_iron_overlay"
                },
                "damage": 0,
                "max_damage": 500
              }
            }
          ]
        }
      ]
    }
  ]
}